Package Details: dogecoin-qt 1.14.2-2

Git Clone URL: https://aur.archlinux.org/dogecoin-qt.git (read-only, click to copy)
Package Base: dogecoin-qt
Description: Cryptocurrency
Upstream URL: http://dogecoin.com/
Licenses: MIT
Provides: dogecoin-cli, dogecoin-daemon, dogecoin-tx
Submitter: Thermi
Maintainer: Thermi (gee)
Last Packager: gee
Votes: 47
Popularity: 0.021408
First Submitted: 2014-02-01 16:57
Last Updated: 2021-01-03 21:45

Pinned Comments

Thermi commented on 2017-06-20 10:30

New version with a (hopefully) working dogecoin-qt version that links against openssl-1.0. Please give feedback!

Latest Comments

1 2 3 4 5 6 ... Next › Last »

gee commented on 2021-01-03 21:45

Done!

mike2208 commented on 2021-01-03 13:02

Thanks!

Maybe add

provides=( dogecoin-daemon dogecoin-tx dogecoin-cli )

as dogecoin-qt builds and installs the executables for the above packages?

gee commented on 2020-12-22 13:29

Hello,

I've just updated the PKGBUILD to build on modern Arch. I haven't messed with crypto coins PKGBUILDs in a while so I hope it's all correct.

Please notify if I forgot something.

gizlu commented on 2020-08-19 13:17

Third (and thankfully last) build problem: https://github.com/dogecoin/dogecoin/issues/1642

dirty fix:

diff --git a/PKGBUILD b/PKGBUILD
index 461c3c6..f5238c2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,6 +22,13 @@ install=dogecoin.install
 sha256sums=('416581d0af2df05ededb400b9434765eeaeb1396c9f3ef80a7b59a88c74a90cc'
             '04d41773462ad6609658e291d22b15cd8d58b8eb5e4391a80cd1dae75e7df0e6')

+prepare() {
+    sed -i -e "s/#include <signal.h>/#include <signal.h>\n#include <deque>/g" \
+        ${srcdir}/dogecoin-$pkgver/src/httpserver.cpp
+    sed -i -e "s/#include <QQueue>/#include <QQueue>\n#include <QPainterPath>/g" \
+        ${srcdir}/dogecoin-$pkgver/src/qt/trafficgraphwidget.h
+}
+
 build() {
    cd "${srcdir}/dogecoin-$pkgver/"

Edit: Replace dead pastebin link

gizlu commented on 2020-08-19 01:11

The lack of dogecoin-qt exutable probably wasn't my fault

Warning from configure step (PKGBUILD untouched):

configure: WARNING: LRELEASE not found; dogecoin-qt frontend will not be built
checking whether to build Dogecoin Core GUI... no (Qt5)

Fixed after installing qt5-tools - please update makedepends

gizlu commented on 2020-08-18 23:21

Temporary dirty fix of deque error:

diff --git a/PKGBUILD b/PKGBUILD
index 461c3c6..e4204f1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,6 +22,10 @@ install=dogecoin.install
 sha256sums=('416581d0af2df05ededb400b9434765eeaeb1396c9f3ef80a7b59a88c74a90cc'
             '04d41773462ad6609658e291d22b15cd8d58b8eb5e4391a80cd1dae75e7df0e6')

+prepare() {
+    sed -i -e "s/#include <signal.h>/#include <signal.h>\n#include <deque>/g" ${srcdir}/dogecoin-$pkgver/src/httpserver.cpp
+}
+
 build() {
    cd "${srcdir}/dogecoin-$pkgver/"

Edit: Builds succesfully but there is no degecoin-qt exutable xD. I would blame my shitty fix

xinayder commented on 2020-04-25 18:09

Doesn't work with boost-libs v1.72, requires boost-libs v1.71

uberben commented on 2020-03-16 19:09

It seems the issue is waiting on an upstream fix: https://github.com/dogecoin/dogecoin/pull/1626

uberben commented on 2020-03-15 14:17

Currently not building for me. Getting an error about deque:

httpserver.cpp:71:10: error: ‘deque’ in namespace ‘std’ does not name a template type 71 | std::deque<std::unique_ptr<WorkItem>> queue; | ^~~~~ httpserver.cpp:30:1: note: ‘std::deque’ is defined in header ‘<deque>’; did you forget to ‘#include <deque>’? 29 | #include <event2/keyvalq_struct.h> +++ |+#include <deque> 30 | httpserver.cpp: In member function ‘bool WorkQueue<WorkItem>::Enqueue(WorkItem)’: httpserver.cpp:110:13: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 110 | if (queue.size() >= maxDepth) { | ^~~~~ | Enqueue httpserver.cpp:113:9: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 113 | queue.emplace_back(std::unique_ptr<WorkItem>(item)); | ^~~~~ | Enqueue httpserver.cpp: In member function ‘void WorkQueue<WorkItem>::Run()’: httpserver.cpp:125:35: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 125 | while (running && queue.empty()) | ^~~~~ | Enqueue httpserver.cpp:129:31: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 129 | i = std::move(queue.front()); | ^~~~~ | Enqueue httpserver.cpp: In member function ‘size_t WorkQueue<WorkItem>::Depth()’: httpserver.cpp:154:16: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 154 | return queue.size(); | ^~~~~ | Enqueue make[2]: [Makefile:5997: libdogecoin_server_a-httpserver.o] Error 1 make[2]: Leaving directory '/home/ben/.cache/yay/dogecoin-qt/src/dogecoin-1.14.2/src' make[1]: [Makefile:9719: all-recursive] Error 1 make[1]: Leaving directory '/home/ben/.cache/yay/dogecoin-qt/src/dogecoin-1.14.2/src' make: ** [Makefile:685: all-recursive] Error 1 ==> ERROR: A failure occurred in build(). Aborting...

louipc commented on 2019-12-07 16:44

This builds against qt5 (qt5-base 5.13.2) and seems to work no problem. Please update makedepends.